<?php

header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Récupération des données envoyées par le formulaire
    $numeroConstat = $_POST["NumeroConstat"];
    $selectedVehicule = $_POST["selectedVehicule"];
    $date = $_POST["date"];
    $idAssurance = $_POST["idAssurance"];
    $idClient = $_POST["idClient"];
    
    // Construction du nouveau nom de fichier avec l'ID du client
    $checkFileName = $selectedVehicule . '-' . $idClient . '_' . str_replace(' ', '_', $numeroConstat) . '.jpeg';

    // Déplacement du fichier vers le dossier de destination
    $uploadDir = "/Api/Images/"; // Modifier ici le chemin relatif
    $uploadFile = $uploadDir . $checkFileName;

    // Vérifie si le fichier a été correctement téléchargé
    if (!empty($_FILES["image"]["tmp_name"]) && is_uploaded_file($_FILES["image"]["tmp_name"])) {
        // Déplacement du fichier téléchargé
        if (move_uploaded_file($_FILES["image"]["tmp_name"], $_SERVER['DOCUMENT_ROOT'] . $uploadFile)) {
            // Requête d'insertion des données dans la base de données
            $requete = $connexion->prepare("INSERT INTO Accidents (NumeroConstat, idVehicule, idClient, Date, idAssurance, imageConstat) VALUES (:NumeroConstat, :idVehicule, :idClient, :Date, :idAssurance, :imageConstat)");
            $requete->bindParam(':NumeroConstat', $numeroConstat);
            $requete->bindParam(':idVehicule', $selectedVehicule, PDO::PARAM_INT);
            $requete->bindParam(':idClient', $idClient, PDO::PARAM_INT);
            $requete->bindParam(':Date', $date);
            $requete->bindParam(':idAssurance', $idAssurance);
            $requete->bindParam(':imageConstat', $uploadFile); // Utilisation du chemin relatif du serveur
            $requete->execute();

            // Vérification si l'insertion a réussi
            if ($requete->rowCount() > 0) {
                $retour["success"] = true;
                $retour["message"] = "L'accident a été ajouté avec succès.";
            } else {
                $retour["success"] = false;
                $retour["message"] = "Une erreur s'est produite lors de l'ajout de l'accident.";
            }
        } else {
            // En cas d'échec du déplacement du fichier
            $retour["success"] = false;
            $retour["message"] = "Une erreur s'est produite lors de l'enregistrement du fichier.";
        }
    } else {
        // Si aucun fichier n'a été téléchargé
        $retour["success"] = false;
        $retour["message"] = "Aucun fichier n'a été téléchargé.";
    }
} catch (PDOException $ex) {
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
