<?php

// En-tête indiquant que le contenu est au format JSON
header('Content-Type: application/json');

// Connexion à la base de données
try {
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $ex) {
    // En cas d'erreur de connexion à la base de données, retournez une réponse JSON avec un message d'erreur
    echo json_encode(array(
        "success" => false,
        "error" => "Erreur de connexion à la base de données: " . $ex->getMessage()
    ));
    exit;
}

// Vérifier si la requête est de type POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Récupérer les données du formulaire
    $idClient = $_POST['idClient'];
    $montant = $_POST['Montant'];
    $dateFacturation = $_POST['dateFacturation'];
    $statut = $_POST['statut'];

    // Préparation de la requête SQL
    $sql = "INSERT INTO Facturation (idClient, Montant, DateFacturation, Statut) VALUES (:idClient, :Montant, :DateFacturation, :Statut)";
    $stmt = $connexion->prepare($sql);

    // Liaison des valeurs avec les paramètres
    $stmt->bindValue(':idClient', $idClient);
    $stmt->bindValue(':Montant', $montant);
    $stmt->bindValue(':DateFacturation', $dateFacturation);
    $stmt->bindValue(':Statut', $statut);

    // Exécution de la requête
    if ($stmt->execute()) {
        $response['success'] = true;
        $response['message'] = 'La facture a été ajoutée avec succès.';
    } else {
        $response['success'] = false;
        $response['message'] = 'Erreur lors de l\'ajout de la facture. Veuillez réessayer.';
    }

    // Convertir le tableau en format JSON et renvoyer la réponse
    echo json_encode($response);
} else {
    // Méthode non autorisée
    http_response_code(405);
    echo json_encode(array("message" => "Méthode non autorisée"));
}

?>
