<?php

// En-tête indiquant que le contenu est au format JSON
header('Content-Type: application/json');

// Connexion à la base de données
try {
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $ex) {
    // En cas d'erreur de connexion à la base de données, retournez une réponse JSON avec un message d'erreur
    echo json_encode(array(
        "success" => false,
        "error" => "Erreur de connexion à la base de données: " . $ex->getMessage()
    ));
    exit;
}

// Vérifier si la requête est de type POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Récupérer l'ID de l'accident à supprimer depuis les données POST
    $idAccident = $_POST['idAccident'];

    // Préparation de la requête SQL pour supprimer l'accident
    $sql = "DELETE FROM Accidents WHERE idAccident = :idAccident";
    $stmt = $connexion->prepare($sql);
    $stmt->bindValue(':idAccident', $idAccident);

    // Exécution de la requête
    if ($stmt->execute()) {
        $response['success'] = true;
        $response['message'] = 'L\'accident a été supprimé avec succès.';
    } else {
        $response['success'] = false;
        $response['message'] = 'Erreur lors de la suppression de l\'accident. Veuillez réessayer.';
    }

    // Convertir le tableau en format JSON et renvoyer la réponse
    echo json_encode($response);
} else {
    // Méthode non autorisée
    http_response_code(405);
    echo json_encode(array("message" => "Méthode non autorisée"));
}

?>
