<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer les données de la requête
    $idAccident = $_POST['idAccident'];
    $numeroConstat = $_POST['NumeroConstat'];
    $date = $_POST['Date'];
    $idAssurance = $_POST['idAssurance'];
    $idVehicule = $_POST['idVehicule'];
    $idClient = $_POST['idClient'];

    // Connexion à la base de données
      $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
      $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer la requête pour mettre à jour l'accident
    $requeteModifierAccident = $connexion->prepare("UPDATE Accidents SET NumeroConstat = :numeroConstat, Date = :date, idAssurance = :idAssurance, idVehicule = :idVehicule, idClient = :idClient WHERE idAccident = :idAccident");

    $requeteModifierAccident->bindParam(':numeroConstat', $numeroConstat, PDO::PARAM_STR);
    $requeteModifierAccident->bindParam(':date', $date, PDO::PARAM_STR);
    $requeteModifierAccident->bindParam(':idAssurance', $idAssurance, PDO::PARAM_INT);
    $requeteModifierAccident->bindParam(':idVehicule', $idVehicule, PDO::PARAM_INT);
    $requeteModifierAccident->bindParam(':idClient', $idClient, PDO::PARAM_INT);
    $requeteModifierAccident->bindParam(':idAccident', $idAccident, PDO::PARAM_INT);

    // Exécuter la requête
    $requeteModifierAccident->execute();

    // Informer que la modification a réussi
    $retour["success"] = true;
    $retour["message"] = "L'accident a été modifié avec succès.";

} catch (PDOException $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur PDO: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données.";
} catch (Exception $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Une erreur est survenue lors de la modification de l'accident.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
