<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer les données de la requête
    $idAssurance = $_POST['idAssurance'];
    $numeroPolice = $_POST['numeroPolice'];
    $dateExpiration = $_POST['dateExpiration'];
    $idVehicule = $_POST['idVehicule'];
    $fraisAssurance = $_POST['fraisAssurance'];
    $contact = $_POST['contact'];
    $nomAssurance = $_POST['nomAssurance'];

    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer la requête pour mettre à jour l'assurance
    $requeteModifierAssurance = $connexion->prepare("UPDATE Assurance SET numeroPolice = :numeroPolice, dateExpiration = :dateExpiration, idVehicule = :idVehicule, fraisAssurance = :fraisAssurance, contact = :contact, nomAssurance = :nomAssurance WHERE idAssurance = :idAssurance");

    $requeteModifierAssurance->bindParam(':numeroPolice', $numeroPolice, PDO::PARAM_STR);
    $requeteModifierAssurance->bindParam(':dateExpiration', $dateExpiration, PDO::PARAM_STR);
    $requeteModifierAssurance->bindParam(':idVehicule', $idVehicule, PDO::PARAM_INT);
    $requeteModifierAssurance->bindParam(':fraisAssurance', $fraisAssurance, PDO::PARAM_STR);
    $requeteModifierAssurance->bindParam(':contact', $contact, PDO::PARAM_STR);
    $requeteModifierAssurance->bindParam(':nomAssurance', $nomAssurance, PDO::PARAM_STR);
    $requeteModifierAssurance->bindParam(':idAssurance', $idAssurance, PDO::PARAM_INT);

    // Exécuter la requête
    $requeteModifierAssurance->execute();

    // Informer que la modification a réussi
    $retour["success"] = true;
    $retour["message"] = "L'assurance a été modifiée avec succès.";

} catch (PDOException $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur PDO: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données.";
} catch (Exception $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Une erreur est survenue lors de la modification de l'assurance.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
