<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer les données de la requête
    $idContrat = $_POST['idContrat'];
    $montantTotal = $_POST['montantTotal'];
    $dateDebut = $_POST['dateDebut'];
    $dateFin = $_POST['dateFin'];
    $idVehicule = $_POST['idVehicule'];
    $idClient = $_POST['idClient'];
 

    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer la requête pour mettre à jour l'assurance
    $requeteModifierContrat = $connexion->prepare("UPDATE ContratsLocation SET idContrat = :idContrat, idClient = :idClient, idVehicule = :idVehicule, montantTotal = :montantTotal, dateDebut = :dateDebut, dateFin = :dateFin WHERE idContrat = :idContrat");

    $requeteModifierContrat->bindParam(':idClient', $idClient, PDO::PARAM_INT);
    $requeteModifierContrat->bindParam(':idVehicule', $idVehicule, PDO::PARAM_INT);
    $requeteModifierContrat->bindParam(':dateDebut', $dateDebut, PDO::PARAM_STR);
    $requeteModifierContrat->bindParam(':dateFin', $dateFin, PDO::PARAM_STR);
    $requeteModifierContrat->bindParam(':montantTotal', $montantTotal, PDO::PARAM_STR);
    $requeteModifierContrat->bindParam(':idContrat', $idContrat, PDO::PARAM_INT);


    // Exécuter la requête
$requeteModifierContrat->execute();

    // Informer que la modification a réussi
    $retour["success"] = true;
    $retour["message"] = "Le contrat a été modifiée avec succès.";

} catch (PDOException $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur PDO: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données.";
} catch (Exception $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Une erreur est survenue lors de la modification de l'état.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
