<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer les données de la requête
    $idFacture = $_POST['idFacture'];
    $DateFacturation = $_POST['DateFacturation'];
    $Montant = $_POST['Montant'];
    $idClient = $_POST['idClient'];
    $Statut = $_POST['Statut'];

    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer la requête pour mettre à jour la facturation
    $requeteModifierFacturation = $connexion->prepare("UPDATE Facturation SET Statut = :Statut, DateFacturation = :DateFacturation, Montant = :Montant, idClient = :idClient WHERE idFacture = :idFacture");

    $requeteModifierFacturation->bindParam(':Statut', $Statut, PDO::PARAM_STR);
    $requeteModifierFacturation->bindParam(':DateFacturation', $DateFacturation, PDO::PARAM_STR);
    $requeteModifierFacturation->bindParam(':Montant', $Montant, PDO::PARAM_INT);
    $requeteModifierFacturation->bindParam(':idClient', $idClient, PDO::PARAM_INT);
    $requeteModifierFacturation->bindParam(':idFacture', $idFacture, PDO::PARAM_INT);

    // Exécuter la requête
    $requeteModifierFacturation->execute();

    // Informer que la modification a réussi
    $retour["success"] = true;
    $retour["message"] = "La facturation a été modifiée avec succès.";

} catch (PDOException $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur PDO: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données.";
} catch (Exception $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Une erreur est survenue lors de la modification de la facturation.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
