<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    
    if ($_SERVER["REQUEST_METHOD"] == "POST") {
        if (
            isset($_POST["Nom"]) &&
            isset($_POST["Prenom"]) &&
            isset($_POST["Adresse"]) &&
            isset($_POST["Email"]) &&
            isset($_POST["NumeroTelephone"]) &&
            isset($_POST["Ville"]) &&
            isset($_POST["CodePostale"]) &&
            isset($_POST["idGenre"])
        ) {
            // Récupération des valeurs des champs
            $nom = $_POST["Nom"];
            $prenom = $_POST["Prenom"];
            $adresse = $_POST["Adresse"];
            $email = $_POST["Email"];
            $numeroTelephone = $_POST["NumeroTelephone"];
            $ville = $_POST["Ville"];
            $codePostal = $_POST["CodePostale"];
            $idgenre = $_POST["idGenre"];

            // Insertion d'un nouveau client dans la base de données
            $sql = "INSERT INTO Clients (nom, prenom, adresse, email, numeroTelephone, Ville, CodePostale, idGenre) VALUES (:nom, :prenom, :adresse, :email, :numeroTelephone, :Ville, :CodePostale, :idGenre)";
            $stmt = $connexion->prepare($sql);
            $stmt->bindParam(':nom', $nom);
            $stmt->bindParam(':prenom', $prenom);
            $stmt->bindParam(':adresse', $adresse);
            $stmt->bindParam(':email', $email);
            $stmt->bindParam(':numeroTelephone', $numeroTelephone);
            $stmt->bindParam(':Ville', $ville);
            $stmt->bindParam(':CodePostale', $codePostal);
            $stmt->bindParam(':idGenre', $idgenre);
            $stmt->execute();

            $response["success"] = true;
            $response["message"] = "Client ajouté avec succès.";
        } else {
            $response["success"] = false;
            $response["message"] = "Tous les paramètres nécessaires n'ont pas été fournis.";
        }
    } else {
        $response["success"] = false;
        $response["message"] = "Méthode de requête non autorisée.";
    }
} catch (PDOException $ex) {
    $response["success"] = false;
    $response["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
} catch (Exception $ex) {
    $response["success"] = false;
    $response["error"] = "Une erreur est survenue lors de l'ajout du client: " . $ex->getMessage();
}

echo json_encode($response);
?>
