<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer les données envoyées en POST
    $nouveauModele = isset($_POST['nouveauModele']) ? $_POST['nouveauModele'] : null;
    $idMarque = isset($_POST['idMarque']) ? $_POST['idMarque'] : null;

    // Vérifier si les données requises sont présentes
    if ($nouveauModele === null || $idMarque === null) {
        throw new Exception("Veuillez fournir le nom du nouveau modèle et l'identifiant de la marque.");
    }

      // Connexion à la base de données
        $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
        $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer la requête SQL d'insertion du nouveau modèle
    $requeteInsertionModele = $connexion->prepare("INSERT INTO Modele (nom, idMarque) VALUES (:nom, :idMarque)");
    $requeteInsertionModele->bindParam(':nom', $nouveauModele, PDO::PARAM_STR);
    $requeteInsertionModele->bindParam(':idMarque', $idMarque, PDO::PARAM_INT);

    // Exécuter la requête SQL d'insertion
    $requeteInsertionModele->execute();

    // Informer que l'ajout a réussi
    $retour["success"] = true;
    $retour["message"] = "Le nouveau modèle a été ajouté avec succès.";

} catch (PDOException $ex) {
    // En cas d'erreur, retourner l'erreur
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
} catch (Exception $ex) {
    // En cas d'erreur, retourner l'erreur
    $retour["success"] = false;
    $retour["error"] = $ex->getMessage();
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
