<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer l'ID de la marque à supprimer depuis la requête POST
    $idMarque = $_POST['idMarque'];

    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Vérifier s'il y a des modèles associés à la marque
    $requeteVerifModeles = $connexion->prepare("SELECT COUNT(*) FROM Modele WHERE idMarque = :idMarque");
    $requeteVerifModeles->bindParam(':idMarque', $idMarque, PDO::PARAM_INT);
    $requeteVerifModeles->execute();
    $nombreModeles = $requeteVerifModeles->fetchColumn();

    if ($nombreModeles > 0) {
        // Il y a des modèles associés à la marque, donc la suppression n'est pas possible
        $retour["success"] = false;
        $retour["message"] = "Impossible de supprimer la marque car des modèles y sont associés.";
    } else {
        // Aucun modèle associé à la marque, on peut procéder à la suppression
        $requeteSupprimerMarque = $connexion->prepare("DELETE FROM Marque WHERE idMarque = :idMarque");
        $requeteSupprimerMarque->bindParam(':idMarque', $idMarque, PDO::PARAM_INT);
        $requeteSupprimerMarque->execute();

        // Informer que la suppression a réussi
        $retour["success"] = true;
        $retour["message"] = "La marque a été supprimée avec succès.";
    }

} catch (PDOException $ex) {
    // En cas d'erreur, retourner l'erreur
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
} catch (Exception $ex) {
    // En cas d'erreur, retourner l'erreur
    $retour["success"] = false;
    $retour["error"] = $ex->getMessage();
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
