<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer l'ID du modèle à supprimer depuis la requête POST ou GET
    $idTypeVehicule = $_POST['idTypeVehicule']; 

    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Vérifier d'abord si le statut est lié à un véhicule
    $requeteVerification = $connexion->prepare("SELECT COUNT(*) FROM Vehicule WHERE idTypeVehicule = :idTypeVehicule");
    $requeteVerification->bindParam(':idTypeVehicule', $idTypeVehicule, PDO::PARAM_INT);
    $requeteVerification->execute();
    $nombreVehicules = $requeteVerification->fetchColumn();

    if ($nombreVehicules > 0) {
        // Le statut est lié à au moins un véhicule, il ne peut pas être supprimé
        $retour["success"] = false;
        $retour["message"] = "Le type du véhicule ne peut pas être supprimé car il est lié à un ou plusieurs véhicules.";
    } else {
        // Le statut n'est pas lié à des véhicules, on peut le supprimer
        $requeteSupprimerStatut = $connexion->prepare("DELETE FROM TypeVehicule WHERE idTypeVehicule = :idTypeVehicule");
        $requeteSupprimerStatut->bindParam(':idTypeVehicule', $idTypeVehicule, PDO::PARAM_INT);
        $requeteSupprimerStatut->execute();

        // Vérifier si la suppression a réussi
        if ($requeteSupprimerStatut->rowCount() > 0) {
            $retour["success"] = true;
            $retour["message"] = "Le Type du véhicule a été supprimé avec succès.";
        } else {
            $retour["success"] = false;
            $retour["message"] = "Aucun type de véhicule correspondant à cet ID n'a été trouvé.";
        }
    }

} catch (PDOException $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur PDO: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données.";
} catch (Exception $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Une erreur est survenue lors de la suppression du modèle.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
