<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer les données de la requête
    $idMarque = $_POST['idMarque'];
    $nom = $_POST['nom'];

    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer la requête pour mettre à jour la marque
    $requeteModifierMarque = $connexion->prepare("UPDATE Marque SET nom = :nom WHERE idMarque = :idMarque");

    $requeteModifierMarque->bindParam(':nom', $nom, PDO::PARAM_STR);
    $requeteModifierMarque->bindParam(':idMarque', $idMarque, PDO::PARAM_INT);

    // Exécuter la requête
    $requeteModifierMarque->execute();

    // Informer que la modification a réussi
    $retour["success"] = true;
    $retour["message"] = "La marque a été modifiée avec succès.";

} catch (PDOException $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur PDO: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données.";
} catch (Exception $ex) {
    // En cas d'erreur, enregistrer l'erreur dans les logs
    error_log("Erreur: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Une erreur est survenue lors de la modification de la marque.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
