<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer les données de la requête
    $idStatut = $_POST['idStatut'];
    $Statut = $_POST['Statut'];

    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer la requête pour mettre à jour du statut
    $requeteModifierStatut = $connexion->prepare("UPDATE Statut SET Statut = :Statut WHERE idStatut = :idStatut");

    $requeteModifierStatut->bindParam(':Statut', $Statut, PDO::PARAM_STR);
    $requeteModifierStatut->bindParam(':idStatut', $idStatut, PDO::PARAM_INT);

    // Exécuter la requête
    $requeteModifierStatut->execute();

    // Vérifier si des lignes ont été affectées
    if ($requeteModifierStatut->rowCount() > 0) {
        // Informer que la modification a réussi
        $retour["success"] = true;
        $retour["message"] = "Le statut a été modifié avec succès.";
    } else {
        $retour["success"] = false;
        $retour["error"] = "Aucune ligne n'a été modifiée. Vérifiez les valeurs des paramètres.";
    }

} catch (PDOException $ex) {
    // En cas d'erreur, retourner l'erreur
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
} catch (Exception $ex) {
    // En cas d'erreur, retourner l'erreur
    $retour["success"] = false;
    $retour["error"] = $ex->getMessage();
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
