<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer les données de la requête
    $idTypeVehicule = $_POST['idTypeVehicule'];
    $nomType = $_POST['nomType'];

    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer la requête pour mettre à jour du type de véhicule
    $requeteModifierTypeVehicule = $connexion->prepare("UPDATE TypeVehicule SET nomType = :nomType WHERE idTypeVehicule = :idTypeVehicule");

    $requeteModifierTypeVehicule->bindParam(':nomType', $nomType, PDO::PARAM_STR);
    $requeteModifierTypeVehicule->bindParam(':idTypeVehicule', $idTypeVehicule, PDO::PARAM_INT);

    // Exécuter la requête
    $requeteModifierTypeVehicule->execute();

    // Vérifier si des lignes ont été affectées
    if ($requeteModifierTypeVehicule->rowCount() > 0) {
        // Informer que la modification a réussi
        $retour["success"] = true;
        $retour["message"] = "Le type de véhicule a été modifié avec succès.";
    } else {
        $retour["success"] = false;
        $retour["error"] = "Aucune ligne n'a été modifiée. Vérifiez les valeurs des paramètres.";
    }

} catch (PDOException $ex) {
    // En cas d'erreur, retourner l'erreur
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
} catch (Exception $ex) {
    // En cas d'erreur, retourner l'erreur
    $retour["success"] = false;
    $retour["error"] = $ex->getMessage();
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
