<?php

header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Pagination
    $page = isset($_GET['page']) ? intval($_GET['page']) : 1; // Numéro de la page, par défaut à la première page
    $limit = 10; // Nombre de résultats par page
    $offset = ($page - 1) * $limit; // Décalage (offset) pour la pagination

    // Requête pour récupérer les documents des clients avec pagination
    $requeteDocsVehicule = $connexion->prepare("SELECT DocumentsVehicule.*, Marque.nom AS nom_marque, Modele.nom AS nom_modele, TypeVehicule.nomType AS nom_type, Vehicule.Immat AS Immat
FROM DocumentsVehicule
JOIN Vehicule ON DocumentsVehicule.idVehicule = Vehicule.idVehicule
JOIN Marque ON Vehicule.idMarque = Marque.idMarque
JOIN TypeVehicule ON Vehicule.idTypeVehicule = TypeVehicule.idTypeVehicule
JOIN Modele ON Vehicule.idModele = Modele.idModele
LIMIT :limit OFFSET :offset");
    $requeteDocsVehicule->bindValue(':limit', $limit, PDO::PARAM_INT);
    $requeteDocsVehicule->bindValue(':offset', $offset, PDO::PARAM_INT);
    $requeteDocsVehicule->execute();

    // Récupération des résultats de la requête
    $docsVehicule = $requeteDocsVehicule->fetchAll(PDO::FETCH_ASSOC);

    // Requête pour récupérer le nombre total de documents des clients
    $requeteTotalDocsVehicule = $connexion->query("SELECT COUNT(*) AS total FROM DocumentsVehicule");
    $totalDocsVehicule = $requeteTotalDocsVehicule->fetchColumn();

    // Calcul du nombre total de pages
    $totalPages = ceil($totalDocsVehicule / $limit);

    // Ajout des documents des clients et du nombre total de pages à la réponse
    $retour["success"] = true;
    $retour["docsVehicule"] = $docsVehicule;
    $retour["totalPages"] = $totalPages;

    // Vérifie s'il y a plus de documents à charger
    $hasMore = count($docsVehicule) == $limit;
    $retour["hasMore"] = $hasMore;

} catch (PDOException $ex) {
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
