<?php

header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $ex) {
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
    echo json_encode($retour);
    exit;
}

// Vérifier si le formulaire a été soumis
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $nomDoc = $_POST["NomDocumentVehicule"]; // Nom du document
    $idVehicule = $_POST["idVehicule"]; // ID du vehicule
    $file = $_FILES["image"]; // Récupération du fichier

    // Construction du nouveau nom de fichier avec l'ID du client
    $vehiculeFileName = $idVehicule . '_' . str_replace(' ', '_', $nomDoc) . '.jpeg';

    // Déplacement du fichier vers le dossier de destination
    $uploadDir = "/Api/Images/"; // Modifier ici le chemin relatif
    $uploadFile = $uploadDir . $vehiculeFileName;
    if (move_uploaded_file($file["tmp_name"], $_SERVER['DOCUMENT_ROOT'] . $uploadFile)) {
        // Fichier correctement enregistré, vous pouvez maintenant insérer les données dans la base de données
        // Requête d'insertion
        $sql = "INSERT INTO DocumentsVehicule (nomPhoto, imageVehicule, idVehicule) VALUES (:nomPhoto, :imageVehicule, :idVehicule)";
        $stmt = $connexion->prepare($sql);
        $stmt->bindParam(':nomPhoto', $nomDoc);
        $stmt->bindParam(':imageVehicule', $uploadFile);
        $stmt->bindParam(':idVehicule', $idVehicule);
        
        if ($stmt->execute()) {
            $retour["success"] = true;
            $retour["message"] = "Le document a été ajouté avec succès.";
        } else {
            $retour["success"] = false;
            $retour["error"] = "Erreur lors de l'ajout du document dans la base de données.";
        }
    } else {
        $retour["success"] = false;
        $retour["error"] = "Erreur lors de l'enregistrement du fichier sur le serveur.";
    }
} else {
    $retour["success"] = false;
    $retour["error"] = "Requête invalide.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
