<?php

header('Content-Type: application/json');

$retour = array();

try {
    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $ex) {
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données: " . $ex->getMessage();
    echo json_encode($retour);
    exit;
}

// Vérifier si le formulaire a été soumis
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $nomDoc = $_POST["nomPhoto"]; // Nom du document
    $idVehicule = $_POST["idVehicule"]; // ID du véhicule
    $file = $_FILES["image"]; // Récupération du fichier

    // Vérification de l'unicité du nom de fichier pour le véhicule spécifié
    $sqlCheckUnique = "SELECT COUNT(*) AS count FROM PhotosVehicule WHERE nomPhoto = :nomPhoto AND idVehicule = :idVehicule";
    $stmtCheckUnique = $connexion->prepare($sqlCheckUnique);
    $stmtCheckUnique->bindParam(':nomPhoto', $nomDoc);
    $stmtCheckUnique->bindParam(':idVehicule', $idVehicule);
    $stmtCheckUnique->execute();
    $resultCheckUnique = $stmtCheckUnique->fetch(PDO::FETCH_ASSOC);

    if ($resultCheckUnique['count'] > 0) {
        $retour["success"] = false;
        $retour["error"] = "Un fichier avec le même nom existe déjà pour ce véhicule.";
        echo json_encode($retour);
        exit;
    }

    // Construction du nouveau nom de fichier avec l'ID du véhicule
    $vehiculeFileName = $idVehicule . '_' . str_replace(' ', '_', $nomDoc) . '.jpeg';

    // Déplacement du fichier vers le dossier de destination
    $uploadDir = "/Api/Images/"; // Modifier ici le chemin relatif
    $uploadFile = $uploadDir . $vehiculeFileName;
    if (move_uploaded_file($file["tmp_name"], $_SERVER['DOCUMENT_ROOT'] . $uploadFile)) {
        // Fichier correctement enregistré, vous pouvez maintenant insérer les données dans la base de données
        // Requête d'insertion
        $sql = "INSERT INTO PhotosVehicule (nomPhoto, imageVehicule, idVehicule) VALUES (:nomPhoto, :imageVehicule, :idVehicule)";
        $stmt = $connexion->prepare($sql);
        $stmt->bindParam(':nomPhoto', $nomDoc);
        $stmt->bindParam(':imageVehicule', $uploadFile);
        $stmt->bindParam(':idVehicule', $idVehicule);

        if ($stmt->execute()) {
            $retour["success"] = true;
            $retour["message"] = "Le photo a été ajouté avec succès.";
        } else {
            $retour["success"] = false;
            $retour["error"] = "Erreur lors de l'ajout du document dans la base de données.";
        }
    } else {
        $retour["success"] = false;
        $retour["error"] = "Erreur lors de l'enregistrement du fichier sur le serveur.";
    }
} else {
    $retour["success"] = false;
    $retour["error"] = "Requête invalide.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
