<?php
header('Content-Type: application/json');

$retour = array();

try {
    // Récupérer les données de la requête
    $idPhoto = $_POST['idPhoto'];
    $nomPhoto = $_POST['nomPhoto'];


    // Connexion à la base de données
    $connexion = new PDO('mysql:host=localhost;dbname=FasCars', 'mariadb', 'mariadb*1');
    $connexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    // Préparer la requête pour mettre à jour la photo du véhicule
    $requeteModifierPhotoVehicule = $connexion->prepare("UPDATE PhotosVehicule SET nomPhoto = :nomPhoto WHERE idPhoto = :idPhoto");

    $requeteModifierPhotoVehicule->bindParam(':nomPhoto', $nomPhoto, PDO::PARAM_STR);
    $requeteModifierPhotoVehicule->bindParam(':idPhoto', $idPhoto, PDO::PARAM_INT);

    // Exécuter la requête
    $requeteModifierPhotoVehicule->execute();

    // Informer que la modification a réussi
    $retour["success"] = true;
    $retour["message"] = "Le nom de la photo du véhicule a été modifié avec succès.";

} catch (PDOException $ex) {
    // En cas d'erreur PDO
    error_log("Erreur PDO: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Erreur de connexion à la base de données.";
} catch (Exception $ex) {
    // En cas d'erreur générale
    error_log("Erreur: " . $ex->getMessage());
    $retour["success"] = false;
    $retour["error"] = "Une erreur est survenue lors de la modification de la photo du véhicule.";
}

// Envoi de la réponse JSON
echo json_encode($retour);
?>
