
import * as React from 'react';
import { NavigationContainer } from '@react-navigation/native';
import { createNativeStackNavigator } from '@react-navigation/native-stack';
import HomeScreen from "./screens/HomeScreen";
import LoginScreen from "./screens/LoginScreen";
import RegisterScreen from "./screens/RegisterScreen";
import Dashboard from "./screens/Dashboard";
import ListeClients from "./screens/Clients/ListeClients";
import ForgotPasswordScreen from './screens/ForgotPasswordScreen';
import ListeVehicule  from './screens/Vehicule/ListeVehicule';
import ListeAssurances  from './screens/Assurances/ListeAssurances';
import ListeDocumentsClients from './screens/DocumentsClients/ListeDocumentsClients';
import ListeControle from './screens/Controle/ListeControle';
import ListeContrats from './screens/Contrats/ListeContrats';
import ListeAccidents from './screens/Accidents/ListeAccidents';
import ListeInfractions from './screens/Infractions/ListeInfractions';
import ListeCharges from './screens/Charges/ListeCharges';
import ListeFacture from './screens/Facture/ListeFacture';
import ListeDocumentsVehicule from './screens/DocumentsVehicules/ListeDocumentsVehicule';
import ListeCheckVehicule from './screens/CheckVehicule/ListeCheckVehicule'; 
import AjoutDocumentsVehicule from './screens/DocumentsVehicules/AjoutDocumentsVehicule';
import AjoutAssurances from './screens/Assurances/AjoutAssurances';
import AjoutClientDocuments from './screens/DocumentsClients/AjoutClientDocuments';
import AjoutCharge from './screens/Charges/AjoutCharge';
import AjoutControle from './screens/Controle/AjoutControle';
import AjoutClient from './screens/Clients/AjoutClient'; 
import AjoutVehicule from './screens/Vehicule/AjoutVehicule';
import AjoutCheckVehicule from './screens/CheckVehicule/AjoutCheckVehicule';
import AjoutFacture from './screens/Facture/AjoutFacture';
import AjoutAccident from './screens/Accidents/AjoutAccident';
import AjoutContrat from './screens/Contrats/AjoutContrat';
import AjoutInfraction from './screens/Infractions/AjoutInfraction';
import ListeGenre from './screens/Genre/ListeGenre';
import GenreDetails from './screens/Genre/GenreDetails';
import AjoutGenre from './screens/Genre/AjoutGenre';
import ClientDetails from './screens/Clients/ClientDetails';
import AccidentDetails from './screens/Accidents/AccidentDetails';
import ListeMarque from './screens/Marque/ListeMarque';
import MarqueDetails from './screens/Marque/MarqueDetails';
import AjoutMarque from './screens/Marque/AjoutMarque';
import ListeModele from './screens/Modele/ListeModele';
import ModeleDetails from './screens/Modele/ModeleDetails';
import AjoutModele from './screens/Modele/AjoutModele';
import ListeStatut from './screens/Statut/ListeStatut';
import StatutDetails from './screens/Statut/StatutDetails';
import AjoutStatut from './screens/Statut/AjoutStatut';
import ChargeDetails from './screens/Charges/ChargeDetails';
import AssurancesDetails from './screens/Assurances/AssurancesDetails';
import ContratDetails from './screens/Contrats/ContratDetails';
import ListeTypeVehicule from './screens/TypeVehicule/ListeTypeVehicule'; 
import TypeVehiculeDetails from './screens/TypeVehicule/TypeVehiculeDetails';
import AjoutTypeVehicule from './screens/TypeVehicule/AjoutTypeVehicule';                                       
import ListePhotosVehicule from './screens/PhotosVehicule/ListePhotosVehicule';
import AjoutPhotosVehicule from './screens/PhotosVehicule/AjoutPhotosVehicule';
import PhotosVehiculeDetails from './screens/PhotosVehicule/PhotosVehiculeDetails';
import ControleDetails from './screens/Controle/ControleDetails';
import DocumentsClientsDetails from './screens/DocumentsClients/DocumentsClientsDetails';
import ListeSupplements from './screens/Supplements/ListeSupplements';
import AjoutSupplements from './screens/Supplements/AjoutSupplements';
import SupplementsDetails from './screens/Supplements/SupplementsDetails';
import CheckVehiculeDetails from './screens/CheckVehicule/CheckVehiculeDetails';
import DocumentsVehiculeDetails from './screens/DocumentsVehicules/DocumentsVehiculeDetails';
import VehiculeDetails from './screens/Vehicule/VehiculeDetails';
import InfractionDetails from './screens/Infractions/InfractionDetails';
import FactureDetails from './screens/Facture/FactureDetails';
import Clients from './screens/Clients';
import Administratifs from './screens/Administratifs';
import Vehicules from './screens/Vehicules';
import Listes from './screens/Listes';
import { Provider } from 'react-redux'; 
import store from './store/store';

const Stack = createNativeStackNavigator();

const App = () => {
    return (
        <Provider store={store}>
        <NavigationContainer>
            <Stack.Navigator>

                <Stack.Screen name="HomeScreen" component={HomeScreen} />
                <Stack.Screen name="Clients" component={Clients} />
                <Stack.Screen name="Administratifs" component={Administratifs} /> 
                <Stack.Screen name="Vehicules" component={Vehicules} />
                <Stack.Screen name="Listes" component={Listes} />

                <Stack.Screen name="FactureDetails" component={FactureDetails} />
                <Stack.Screen name="VehiculeDetails" component={VehiculeDetails} />
                <Stack.Screen name="InfractionDetails" component={InfractionDetails} />
                <Stack.Screen name="ListeSupplements" component={ListeSupplements} />
                <Stack.Screen name="ListePhotosVehicule" component={ListePhotosVehicule} />                                        
                <Stack.Screen name="ListeStatut" component={ListeStatut} />
                <Stack.Screen name="PhotosVehiculeDetails" component={PhotosVehiculeDetails} />
                <Stack.Screen name="AjoutPhotosVehicule" component={AjoutPhotosVehicule} />
                <Stack.Screen name="ListeModele" component={ListeModele} />
                <Stack.Screen name="ListeTypeVehicule" component={ListeTypeVehicule} />
                <Stack.Screen name="TypeVehiculeDetails" component={TypeVehiculeDetails} /> 
                <Stack.Screen name="AjoutTypeVehicule" component={AjoutTypeVehicule} />  
                <Stack.Screen name="StatutDetails" component={StatutDetails} />
                <Stack.Screen name="AjoutStatut" component={AjoutStatut} />
                <Stack.Screen name="ListeClients" component={ListeClients}  />
                <Stack.Screen name="ModeleDetails" component={ModeleDetails} />
                <Stack.Screen name="AjoutModele" component={AjoutModele} />
                <Stack.Screen name="AccidentDetails" component={AccidentDetails} />
                <Stack.Screen name="ListeMarque" component={ListeMarque} />
                < Stack.Screen name="ListeGenre" component={ListeGenre} />
                <Stack.Screen name="GenreDetails" component={GenreDetails} />
                <Stack.Screen name="AjoutGenre" component={AjoutGenre} />
                <Stack.Screen name="MarqueDetails" component={MarqueDetails} />
                <Stack.Screen name="AjoutMarque" component={AjoutMarque} />
                <Stack.Screen name="ClientDetails" component={ClientDetails} />
                <Stack.Screen name="LoginScreen" component={LoginScreen} />
                <Stack.Screen name="RegisterScreen" component={RegisterScreen} />
                <Stack.Screen name="ForgotPasswordScreen" component={ForgotPasswordScreen} />
                <Stack.Screen name="Dashboard" component={Dashboard} />
                <Stack.Screen name="ListeDocumentsClients" component={ListeDocumentsClients} />
                <Stack.Screen name="ListeVehicule" component={ListeVehicule} />
                <Stack.Screen name="DocumentsVehiculeDetails" component={DocumentsVehiculeDetails} />
                <Stack.Screen name="ListeFacture" component={ListeFacture} />
                <Stack.Screen name="ListeAssurances" component={ListeAssurances} />
                <Stack.Screen name="ListeControle" component={ListeControle} />
                <Stack.Screen name="ListeContrats" component={ListeContrats} />
                <Stack.Screen name="ListeAccidents" component={ListeAccidents} />
                <Stack.Screen name="ListeInfractions" component={ListeInfractions} />
                <Stack.Screen name="ListeCharges" component={ListeCharges} />
                <Stack.Screen name="ListeDocumentsVehicule" component={ListeDocumentsVehicule} />
                <Stack.Screen name="ListeCheckVehicule" component={ListeCheckVehicule} />
                <Stack.Screen name="CheckVehiculeDetails" component={CheckVehiculeDetails} />
                <Stack.Screen name="AjoutAssurances" component={AjoutAssurances} />
                <Stack.Screen name="AjoutVehicule" component={AjoutVehicule} />
                <Stack.Screen name="AjoutClientDocuments" component={AjoutClientDocuments} />
                <Stack.Screen name="AjoutClient" component={AjoutClient} />
                <Stack.Screen name="AjoutCharge" component={AjoutCharge} />
                <Stack.Screen name="AjoutControle" component={AjoutControle} />
                <Stack.Screen name="AjoutDocumentsVehicule" component={AjoutDocumentsVehicule} />
                <Stack.Screen name="AjoutCheckVehicule" component={AjoutCheckVehicule} />
                <Stack.Screen name="AjoutFacture" component={AjoutFacture} />
                <Stack.Screen name="AjoutAccident" component={AjoutAccident} />
                <Stack.Screen name="AjoutContrat" component={AjoutContrat} />
                <Stack.Screen name="AjoutInfraction" component={AjoutInfraction} />
                <Stack.Screen name="ChargeDetails" component={ChargeDetails} />
                <Stack.Screen name="AssurancesDetails" component={AssurancesDetails} />
                <Stack.Screen name="ContratDetails" component={ContratDetails} />
                <Stack.Screen name="ControleDetails" component={ControleDetails} />
                <Stack.Screen name="DocumentsClientsDetails" component={DocumentsClientsDetails} />          
                <Stack.Screen name="AjoutSupplements" component={AjoutSupplements} />
                <Stack.Screen name="SupplementsDetails" component={SupplementsDetails} />
                

            </Stack.Navigator>
        </NavigationContainer>
        </Provider>
    );
};

export default App;
