import React from 'react';
import { Text, StyleSheet, View, TouchableOpacity } from 'react-native';

const Boutton = ({ value, onPress, style, textStyle }) => {
  const maValue = value || '';

  const handlePress = () => {
    onPress();
  };

  return (
    <TouchableOpacity onPress={handlePress} style={[styles.customButton, style]}> 
      <View>
        <Text style={[styles.customButtonText, textStyle]}>{maValue}</Text> 
      </View>
    </TouchableOpacity>
  );
};

const styles = StyleSheet.create({
  customButton: {
    margin: 10,
    width: 76, // Largeur égale à la hauteur pour rendre le bouton circulaire
    height: 76,
    backgroundColor: '#1D7342',
    borderRadius: 38, // Rayon égal à la moitié de la hauteur et de la largeur
    shadowColor: '#000',
    shadowOffset: { width: 0, height: 2 },
    shadowOpacity: 0.3,
    shadowRadius: 3,
    elevation: 5,
    justifyContent: 'center',
    alignItems: 'center',
    alignSelf: 'center',
  },

  customButtonText: {
    color: '#fff',
    fontSize: 12, // Taille de police réduite pour s'adapter à un bouton rond
    fontWeight: 'bold',
    textAlign: 'center',
  },

  textContainer: {
    justifyContent: 'center',
    alignItems: 'center',
  },
});

export default Boutton;
