import React from 'react';
import { ScrollView, StyleSheet } from 'react-native';

const CustomScrollView = ({ children ,style, contentContainerStyle, ...props}) => 
      {
        return (
            <ScrollView
              style={[styles.scrollView, style]}
              contentContainerStyle={[styles.contentContainer, contentContainerStyle]}
              {...props}
            >
              {children}
            </ScrollView>
          );
        };
        
        const styles = StyleSheet.create({
            scrollView: {
              flex: 1,
              width: '100%', // Utilise la largeur complète de l'écran
              backgroundColor: '#F9FAFB', // Couleur de fond claire
            },
            contentContainer: {
              padding: 20, //  padding grand pour le contenu
              alignItems: 'center', // Centre les éléments verticalement
              justifyContent: 'center', // Centre les éléments horizontalement
            },
            shadow: {
              shadowColor: '#000', // Couleur de l'ombre
              shadowOffset: { width: 0, height: 1 }, // Décalage de l'ombre
              shadowOpacity: 0.22, // Opacité de l'ombre
              shadowRadius: 2.22, // Rayon de l'ombre
              elevation: 3, // Élévation pour Android
            },
            rounded: {
              borderRadius: 10, // Bordures arrondies
            },
          });
        
        export default CustomScrollView;