import React from 'react';
import { View, StyleSheet, TouchableOpacity, Image } from 'react-native';
import { useNavigation } from '@react-navigation/native';

const Footer = () => {
  const navigation = useNavigation();

  const handleHomePress = () => {
   navigation.navigate('Dashboard');
  };

  return (
    <>
      <View style={styles.spacer} />
      <View style={styles.footer}>
        <TouchableOpacity onPress={handleHomePress} style={styles.iconContainer}>
          <Image source={require('../assets/home.png')} style={styles.icon} />
        </TouchableOpacity>
      </View>
    </>
  );
};

const styles = StyleSheet.create({
  spacer: {
    height: 60, 
  },
  footer: {
    position: 'absolute',
    bottom: 0,
    left: 0,
    right: 0,
    height: 60,
    alignItems: 'center',
    justifyContent: 'center',
  },
  iconContainer: {
    backgroundColor: '#58A681', 
    borderWidth: 2,
    borderColor: '#fff', 
    borderRadius: 30, 
    padding: 10, 
  },
  icon: {
    width: 30,
    height: 30,
    resizeMode: 'contain',
    tintColor: '#fff',
  },
});

export default Footer;
