import React from 'react';
import { StyleSheet, TextInput, View } from 'react-native';

const InputText = ({ 
  value = '', // Valeur par défaut pour value
  onChangeText, 
  secureTextEntry = false, // Valeur par défaut pour secureTextEntry
  placeholder = "Enter text", // Valeur par défaut pour placeholder
  keyboardType = "default" // Valeur par défaut pour keyboardType
}) => {
  return (
    <View style={styles.inputContainer}>
      <TextInput
        style={styles.input}
        placeholder={placeholder}
        value={value}
        onChangeText={onChangeText}
        secureTextEntry={secureTextEntry}
        keyboardType={keyboardType}
      />
    </View>
  );
}

const styles = StyleSheet.create({
  inputContainer: {
    marginBottom: 10,
    marginTop: 10,
    alignItems: 'center', 
  },
  input: {
    width: '80%',
    height: 50,
    borderWidth: 1,
    borderRadius: 8,
    paddingHorizontal: 16,
    color: '#1D7342',
    textAlign: 'center',
    backgroundColor: '#ffffff', 
  },
});

export default InputText;
