import React, { useEffect } from 'react';
import {  Alert, } from 'react-native';
import * as Print from 'expo-print';
import Boutton from './Boutton';


const PDFGenerator = ({ documentData, documentType }) => {
 

    const generatePDF = async () => {
        // URL de l'image à utiliser
        const imageUrl = 'https://sites.freeboxos.fr/Api/Images/FasCars.jpg';
    
        let htmlContent = `
        <html>
            <head>
                <style>
                    body {
                        font-family: Arial, sans-serif;
                    }
                    h1 {
                        color: #333;
                        text-align: center;
                    }
                    p {
                        margin-bottom: 10px;
                    }
                    table {
                        width: 100%;
                        border-collapse: collapse;
                    }
                    td {
                        border: 1px solid #dddddd;
                        text-align: left;
                        padding: 8px;
                    }
                    th {
                        background-color: #f2f2f2;
                        border: 1px solid #dddddd;
                    }
                    .header-img {
                        width: 100%;
                        max-width: 200px;
                        display: block;
                        margin: 0 auto 20px;
                    }
                    .signature-section {
                        text-align: center;
                        margin-top: 50px;
                    }
                </style>
            </head>
            <body>
                <img src="${imageUrl}" alt="Logo" class="header-img" />
                <table>
                    <tbody>
                        <tr>
                            <th colspan="2">${documentType === 'Contrat' ? 'Contrat de location' : 'Facture'}</th>
                        </tr>
                        <tr>
                            <th>Nom de l'entreprise</th>
                            <td>Fas Cars</td>
                        </tr>
                        <tr>
                            <th>Adresse</th>
                            <td>50 AVENUE DE LA TABLE DE PIERRE, <br/> 69340 FRANCHEVILLE</td>
                        </tr>
    `;

    Object.entries(documentData).forEach(([key, value]) => {
        htmlContent += `
                        <tr>
                            <th>${key}</th>
                            <td>${value}</td>
                        </tr>
        `;
    });

    htmlContent += `
                        <tr>
                            <td colspan="2" class="signature-section">
                                <p>Signature: ____________________________</p>
                                <p>Date: ____________________________</p>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </body>
        </html>
    `;
    
    
     
    
        // Imprimer le contenu HTML en tant que PDF
   
        const { uri } = await Print.printToFileAsync({ html: htmlContent });
      
    
        // Imprimer le PDF à partir de l'URI
 
        await Print.printAsync({ uri });
    
        // Afficher une alerte avec le chemin du fichier PDF généré
        Alert.alert('PDF généré avec succès !', `Le fichier PDF a été généré et imprimé.`);
    };
    
    return (
        <Boutton onPress={generatePDF} value="Générer et Imprimer PDF" />
    );
};

export default PDFGenerator;
