import React, { useEffect } from 'react';
import { View, Alert } from 'react-native';
import * as ImagePicker from 'expo-image-picker';
import Boutton from './Boutton';

const PhotoSelector = ({ onSelectImage }) => {
    useEffect(() => {
        requestGalleryPermission();
    }, []);

    
    const requestGalleryPermission = async () => {
        const { status } = await ImagePicker.requestMediaLibraryPermissionsAsync();
        
        if (status !== 'granted') {
            Alert.alert(
                'Permission refusée',
                'Vous devez autoriser l\'accès à la galerie de photos pour choisir une image.'
            );
        }
    };
    
    const selectImageFromGallery = async () => {
        let result = await ImagePicker.launchImageLibraryAsync({
            mediaTypes: ImagePicker.MediaTypeOptions.Images,
            allowsEditing: true,
            aspect: [4, 3],
            quality: 1,
        });
        if (!result.canceled) {

            onSelectImage(result.assets[0].uri);
        }
    };
    
    return (
        <View>
            <Boutton  onPress={selectImageFromGallery} value="Choisir une photo depuis la galerie" />
        </View>
    );
}

export default PhotoSelector;

