import React from 'react';
import { View, Image, Text, StyleSheet } from 'react-native';

const SelectedImage = ({ uri }) => {
    return (
        <View style={styles.container}>
            <Text style={styles.label}>Image sélectionnée :</Text>
            <View style={styles.imageContainer}>
                <Image source={{ uri: uri }} style={styles.selectedImage} />
            </View>
        </View>
    );
};

const styles = StyleSheet.create({
    container: {
        marginBottom: 20,
    },
    label: {
        fontSize: 18,
        marginBottom: 5,
    },
    selectedImage: {
        width: 200,
        height: 200,
        resizeMode: 'cover',
        borderRadius: 5,
        justifyContent: 'center',
        marginTop: 10,
    },
    imageContainer: {
        alignItems: 'center',
    },
});

export default SelectedImage;
