// Description: Ce fichier contient la page de l'administration diverses.
import React from 'react';
import { View, StyleSheet, Text, Image, TouchableOpacity, ScrollView } from 'react-native';
import Header from '../Components/Header';
import infractionIcon from '../assets/infractions.png';
import listesIcon from '../assets/listes.png';
import factureIcon from '../assets/facture.png';  
import assuranceIcon from '../assets/assurance.png';
import accidentIcon from '../assets/accident.png';
import contratIcon from '../assets/contrat.png';
import Footer from '../Components/Footer';

// Fonction pour afficher la page Administratifs
export default function Administratifs({ navigation }) {

  const FonctionVerslisteAssurances = () => { 
    navigation.navigate('ListeAssurances');
  };

  const FonctionVerslisteControle = () => { 
    navigation.navigate('ListeControle');
  };

  const FonctionVerslisteContrats = () => {
    navigation.navigate('ListeContrats');
  };

  const FonctionVerslisteAccidents = () => {
    navigation.navigate('ListeAccidents');
  };

  const FonctionVerslisteInfractions = () => {
    navigation.navigate('ListeInfractions');
  };

  const FonctionVerslisteFacture = () => {
    navigation.navigate('ListeFacture');
  };

  return (
    <View style={styles.container}>
      <Header title="Administration diverses" />
      <ScrollView contentContainerStyle={styles.scrollContainer}>
        <View style={styles.dataContainer}>
          <TouchableOpacity onPress={FonctionVerslisteAssurances}>
            <View style={styles.iconContainer}>
              <Image source={assuranceIcon} style={styles.icon} />
              <Text style={styles.iconTitle}>Liste Assurances</Text>
            </View>
          </TouchableOpacity>
     
          <TouchableOpacity onPress={FonctionVerslisteAccidents}>
            <View style={styles.iconContainer}>
              <Image source={accidentIcon} style={styles.icon} />
              <Text style={styles.iconTitle}>Liste Accidents</Text>
            </View>
          </TouchableOpacity>

          <TouchableOpacity onPress={FonctionVerslisteContrats}>
            <View style={styles.iconContainer}>
              <Image source={contratIcon} style={styles.icon} />
              <Text style={styles.iconTitle}>Liste Contrats</Text>
            </View>
          </TouchableOpacity>

          <TouchableOpacity onPress={FonctionVerslisteControle}>
            <View style={styles.iconContainer}>
              <Image source={listesIcon} style={styles.icon} />
              <Text style={styles.iconTitle}>Liste Controles</Text>
            </View> 
          </TouchableOpacity>

          <TouchableOpacity onPress={FonctionVerslisteInfractions}>
            <View style={styles.iconContainer}>
              <Image source={infractionIcon} style={styles.icon} />
              <Text style={styles.iconTitle}>Liste Infractions</Text>
            </View> 
          </TouchableOpacity>

          <TouchableOpacity onPress={FonctionVerslisteFacture}>
            <View style={styles.iconContainer}>
              <Image source={factureIcon} style={styles.icon} />
              <Text style={styles.iconTitle}>Liste Factures</Text>
            </View>
          </TouchableOpacity>
        </View>
      </ScrollView>
      <Footer />
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    overflow: 'hidden',
  },
  scrollContainer: {
    alignItems: 'center',
    justifyContent: 'center',
  },
  dataContainer: {
    flexDirection: 'row',
    flexWrap: 'wrap',
    justifyContent: 'center',
  },
  iconContainer: {
    alignItems: 'center',
    margin: 20,
    borderRadius: 25, 
    backgroundColor: 'lightgreen', 
    padding: 10, 
  },
  icon: {
    width: 30,
    height: 30,
    resizeMode: 'contain',
  },
  iconTitle: {
    marginTop: 10,
    textAlign: 'center',
  },
});
