import React from 'react';
import { View, StyleSheet, Text, Image, TouchableOpacity, ScrollView } from 'react-native';
import Header from '../Components/Header';
import BackgroundImage from '../Components/BackgroundImage';
import clientIcon from '../assets/clients.png';
import vehiculesIcon from '../assets/vehicules.png';
import listesIcon from '../assets/listes.png';
import photoIcon from '../assets/photos.png';
import Footer from '../Components/Footer';

// Fonction pour afficher la page Clients
export default function Listes({ navigation }) {
  const FonctionVersListeGenre = () => {
    navigation.navigate('ListeGenre');
  };

  const FonctionVerslisteMarques = () => {
    navigation.navigate('ListeMarque');
  };

  const FonctionVerslisteModeles = () => {
    navigation.navigate('ListeModele');
  };

  const FonctionVersPhotosVehicules = () => {
    navigation.navigate('ListePhotosVehicule');
  };

  const FonctionVerslisteStatuts = () => {
    navigation.navigate('ListeStatut');
  };

  const FonctionVerslisteTypesVehicules = () => {
    navigation.navigate('ListeTypeVehicule');
  };

  const FonctionVerslisteSupplements = () => {
    navigation.navigate('ListeSupplements');
  };

  return (
    <View style={styles.container}>
      <Header title="Listes à modifier " />
      <BackgroundImage source={require('../assets/fascars.png')} style={styles.backgroundImage}>
        <ScrollView contentContainerStyle={styles.scrollContainer}>
          <View style={styles.dataContainer}>
            <TouchableOpacity onPress={FonctionVersListeGenre}>
              <View style={styles.iconContainer}>
                <Image source={clientIcon} style={styles.icon} />
                <Text style={styles.iconTitle}>Ajout Genre</Text>
              </View>
            </TouchableOpacity>
            <TouchableOpacity onPress={FonctionVersPhotosVehicules}>
              <View style={styles.iconContainer}>
                <Image source={photoIcon} style={styles.icon} />
                <Text style={styles.iconTitle}>Ajout photos véhicules</Text>
              </View>
            </TouchableOpacity>
            <TouchableOpacity onPress={FonctionVerslisteModeles}>
              <View style={styles.iconContainer}>
                <Image source={vehiculesIcon} style={styles.icon} />
                <Text style={styles.iconTitle}>Ajout liste modèles</Text>
              </View>
            </TouchableOpacity>
            <TouchableOpacity onPress={FonctionVerslisteStatuts}>
              <View style={styles.iconContainer}>
                <Image source={vehiculesIcon} style={styles.icon} />
                <Text style={styles.iconTitle}>Ajout statut véhicules</Text>
              </View>
            </TouchableOpacity>
            <TouchableOpacity onPress={FonctionVerslisteTypesVehicules}>
              <View style={styles.iconContainer}>
                <Image source={vehiculesIcon} style={styles.icon} />
                <Text style={styles.iconTitle}>Ajout type véhicules</Text>
              </View>
            </TouchableOpacity>
            <TouchableOpacity onPress={FonctionVerslisteMarques}>
              <View style={styles.iconContainer}>
                <Image source={vehiculesIcon} style={styles.icon} />
                <Text style={styles.iconTitle}>Liste marques</Text>
              </View>
            </TouchableOpacity>
            <TouchableOpacity onPress={FonctionVerslisteSupplements}>
              <View style={styles.iconContainer}>
                <Image source={listesIcon} style={styles.icon} />
                <Text style={styles.iconTitle}>Liste suppléments</Text>
              </View>
            </TouchableOpacity>
          </View>
        </ScrollView>
        <Footer />
      </BackgroundImage>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    overflow: 'hidden',
  },
  backgroundImage: {
    flex: 1,
  },
  scrollContainer: {
    alignItems: 'center',
    justifyContent: 'center',
  },
  dataContainer: {
    flexDirection: 'row',
    flexWrap: 'wrap',
    justifyContent: 'center',
  },
  iconContainer: {
    alignItems: 'center',
    margin: 20,
    borderRadius: 25,
    backgroundColor: 'lightgreen',
    padding: 10,
  },
  icon: {
    width: 30,
    height: 30,
    resizeMode: 'contain',
  },
  iconTitle: {
    marginTop: 10,
    textAlign: 'center',
  },
});
