import React, { useEffect, useState } from 'react';
import { View,StyleSheet, Alert } from 'react-native';
import Header from '../../Components/Header';
import CustomFlatList from '../../Components/CustomFlatList';
import Boutton from '../../Components/Boutton';
import Footer from '../../Components/Footer';

// Fonction pour afficher la liste des marques
const ListeMarque = ({ navigation }) => {
    const [marques, setMarques] = useState([]);
    const PageName = ['MarqueDetails'];

    useEffect(() => {
        fetchMarque();
        navigation.addListener('focus', () => {
            fetchMarque();
        });
    }, [navigation]);


    // Fonction pour récupérer les marques
    const fetchMarque = () => {
        fetch(`https://sites.freeboxos.fr/Api/Listes/getMarques.php`)
            .then((response) => response.json())
            .then((json) => {
                if (json.success) {
                    setMarques(json.marques);
                   
                } else {
                    Alert.alert(json.message || json.error);
                }
            })
            .catch((error) => console.error(error));
    };
    
    const keyExtractor = (item, index) => index.toString();
    const titles = ["Marque"];

    const renderItem = ({ item }) => (
        <View>
            {item.nom}
         
        </View>
    );

    return (
        <View style={styles.container}>
            <Header title="Liste des marques" />
         
    
         
            <CustomFlatList
                data={marques}
                renderItem={renderItem}
                keyExtractor={keyExtractor}
                titles={titles}
                selectedKeys={['nom']}
                navigation={navigation}
                PageName={PageName} // Passer le nom de la page en tant que prop    
            />
       <Boutton onPress={() => navigation.navigate('AjoutMarque')} value="ajouter" />
            <Footer />
        </View>
    );
};
const styles = StyleSheet.create({
    container: {
        flex: 1,
        padding: 20,
    },
  
});


export default ListeMarque;
