import React, { useState } from 'react';
import { View, StyleSheet, Alert } from 'react-native';
import { useNavigation } from '@react-navigation/native';
import Header from "../../Components/Header";
import Boutton from "../../Components/Boutton";
import InputText from "../../Components/InputText";
import { nouveauStatutValidator } from '../../core/utils';
import Footer from '../../Components/Footer';

// Fonction pour ajouter un statut
const AjoutStatut = () => {
    const [nouveauStatut, setNouveauStatut] = useState('');
    const navigation = useNavigation();

    const ajouterNouveauStatut = () => {
        if (nouveauStatutValidator(nouveauStatut)) {
            Alert.alert('Champ invalide', 'Veuillez entrer un nouveau statut valide avant de l\'ajouter.');
            return;
        }

        const formData = new FormData();
        formData.append("nouveauStatut", nouveauStatut);

        
        fetch(`https://sites.freeboxos.fr/Api/Listes/insertStatut.php`, {
            method: 'POST',
            body: formData,
        })
        .then((response) => response.json())
        .then((json) => {
            if (json.success) {
                Alert.alert('Nouveau statut ajouté avec succès dans la base de données.');
                setNouveauStatut('');
                navigation.navigate('Listes'); 
            } else {
                Alert.alert(json.message || json.error);
            }
        })
        .catch((error) => console.error(error));
    };

    return (
        <View style={styles.container}>
            <Header title="Ajout d'un nouveau statut" />
            <InputText
                placeholder="Nouveau statut"
                value={nouveauStatut}
                onChangeText={setNouveauStatut}
            />
            <Boutton onPress={ajouterNouveauStatut} value="Ajouter" />
            <Footer />
        </View>
    );
};

const styles = StyleSheet.create({
    container: {
        flex: 1,
        padding: 20,
    },
});

export default AjoutStatut;
