
import React, { useEffect, useState } from 'react';
import { View,StyleSheet, Alert } from 'react-native';
import Header from '../../Components/Header';
import CustomFlatList from '../../Components/CustomFlatList';
import Boutton from '../../Components/Boutton';
import Footer from '../../Components/Footer';

// Fonction pour afficher la liste des statuts
const ListeStatut = ({ navigation }) => {
    const [statuts, setStatuts] = useState([]);
    const PageName = ['StatutDetails'];

    useEffect(() => {
        fetchStatuts();
        navigation.addListener('focus', () => {
            fetchStatuts();
        });
    }, [navigation]);


// Fonction pour récupérer les statuts    
    const fetchStatuts = () => {
        fetch(`https://sites.freeboxos.fr/Api/Listes/getStatuts.php`)
            .then((response) => response.json())
            .then((json) => {
                if (json.success) {
                    setStatuts(json.statuts);
                   
                } else {
                    Alert.alert(json.message || json.error);
                }
            })
            .catch((error) => console.error(error));
    };
    
 
    const keyExtractor = (item, index) => index.toString();
    const titles = ["Statut"];

    const renderItem = ({ item }) => (
        <View>
            {item.Statut}
         
        </View>
    );

    return (
        <View style={styles.container}>
            <Header title="Liste des Statuts" />
        
            <CustomFlatList
                data={statuts}
                renderItem={renderItem}
                keyExtractor={keyExtractor}
                titles={titles}
                selectedKeys={['Statut']}
                navigation={navigation}
                PageName={PageName} // Passer le nom de la page en tant que prop    
            />
                <Boutton onPress={() => navigation.navigate('AjoutStatut')} value="ajouter" />
            <Footer />
        </View>
    );
};
const styles = StyleSheet.create({
    container: {
        flex: 1,
        padding: 20,
    },
  
});


export default ListeStatut;
