import React, { useState } from 'react';
import { View, StyleSheet, Alert, ScrollView } from 'react-native';
import { useNavigation } from '@react-navigation/native';
import Header from "../../Components/Header";
import Boutton from "../../Components/Boutton";
import InputText from "../../Components/InputText";
import Footer from '../../Components/Footer';

// Fonction pour ajouter un nouveau suppléments
const AjoutSupplements = () => {
    const [nom, setNom] = useState('');
    const navigation = useNavigation();
    const [frais, setFrais] = useState('');
    const [description, setDescription] = useState('');
    const ajouterSupplements = () => {
  

        const formData = new FormData();
        formData.append("nom", nom);
        formData.append("frais", frais);
        formData.append("description", description);

        fetch(`https://sites.freeboxos.fr/Api/Listes/insertSuplements.php`, {
            method: 'POST',
            body: formData,
        })
        .then((response) => response.json())
        .then((json) => {
            if (json.success) {
                Alert.alert('Nouveau suppléments ajouté avec succès dans la base de données.');
             
                navigation.navigate('Listes'); 
                setNom('');
                setDescription('');
                setFrais('');
               
                
            } else {
                Alert.alert(json.message || json.error);
            }
        })
        .catch((error) => console.error(error));
    };

    return (
        <ScrollView>
        <View style={styles.container}>
            <Header title="Ajout d'un nouveau supplements" />
            <InputText
                placeholder="Nouveau supplements"
                value={nom}
                onChangeText={setNom}
            />
                      <InputText
    value={`${frais} €`}
    onChangeText={text => {
        // Assurez-vous de filtrer le texte pour ne garder que les chiffres
        const numericValue = text.replace(/[^0-9.]/g, '');
        setFrais(numericValue);
    }}
/>
            <InputText
                placeholder="description"
                value={description}
                onChangeText={setDescription}
            />
            <Boutton onPress={ajouterSupplements} value="Ajouter" />
            <Footer />
        </View>
        </ScrollView>
    );
};

const styles = StyleSheet.create({
    container: {
        flex: 1,
        
    },
});

export default AjoutSupplements;
