import React from 'react';
import { View, StyleSheet, Text, Image, TouchableOpacity, ScrollView } from 'react-native';
import Header from '../Components/Header';
import vehiculesIcon from '../assets/vehicules2.png';
import listesIcon from '../assets/listes.png';
import photoIcon from '../assets/photos.png';
import documentIcon from '../assets/document.png';
import factureIcon from '../assets/facture.png';  
import Footer from '../Components/Footer';

// Fonction pour afficher la page Vehicules
export default function Vehicules({ navigation }) {

  const FonctionVerslisteVehicule = () => {  
    navigation.navigate('ListeVehicule');
  };

  const FonctionVerslistSupplements = () => {
    navigation.navigate('ListeCharges');
  };

  const FonctionVerslisteDocumentsVehicule = () => {
    navigation.navigate('ListeDocumentsVehicule');
  };  
    
  const FonctionVerslisteCheckVehicule = () => {
    navigation.navigate('ListeCheckVehicule');
  };

  return (
    <View style={styles.container}>
      <Header title="Véhicules" />
      <ScrollView contentContainerStyle={styles.scrollContainer}>
        <View style={styles.dataContainer}>
        

          <TouchableOpacity onPress={FonctionVerslisteVehicule}>
            <View style={styles.iconContainer}>
              <Image source={vehiculesIcon} style={styles.icon} />
              <Text style={styles.iconTitle}>Liste Véhicules</Text>
            </View>
          </TouchableOpacity>

          <TouchableOpacity onPress={FonctionVerslistSupplements}>
            <View style={styles.iconContainer}>
              <Image source={factureIcon} style={styles.icon} />
              <Text style={styles.iconTitle}>Liste Charges</Text>
            </View>
          </TouchableOpacity>

          <TouchableOpacity onPress={FonctionVerslisteDocumentsVehicule}>
            <View style={styles.iconContainer}>
              <Image source={documentIcon} style={styles.icon} />
              <Text style={styles.iconTitle}>Liste Documents</Text>
            </View>
          </TouchableOpacity>

          <TouchableOpacity onPress={FonctionVerslisteCheckVehicule}>
            <View style={styles.iconContainer}>
              <Image source={listesIcon} style={styles.icon} />
              <Text style={styles.iconTitle}>Liste Check Véhicule</Text>
            </View>
          </TouchableOpacity>
        </View>
      </ScrollView>
      <Footer />
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    overflow: 'hidden',
  },
  scrollContainer: {
    alignItems: 'center',
    justifyContent: 'center',
  },
  dataContainer: {
    flexDirection: 'row',
    flexWrap: 'wrap',
    justifyContent: 'center',
  },
  iconContainer: {
    alignItems: 'center',
    margin: 20,
    borderRadius: 25, 
    backgroundColor: 'lightgreen', 
    padding: 10, 
  },
  icon: {
    width: 30,
    height: 30,
    resizeMode: 'contain',
  },
  iconTitle: {
    marginTop: 10,
    textAlign: 'center',
  },
});
